Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Dependancy issue: Gaim > evolution-data-server > mozilla
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
Zarathustra[H]
Guru
Guru


Joined: 30 Dec 2002
Posts: 389
Location: Cambridge, MA, USA

PostPosted: Wed Oct 05, 2005 4:24 am    Post subject: Dependancy issue: Gaim > evolution-data-server > mozil Reply with quote

I was wondering why my system suddenly wanted to emerge mozilla after never having it installed before (and it annouys me cause its a huge bloated package that I do not need)

I ran the tree, and came up with this:

Code:
[ebuild  N    ] net-im/gaim-1.5.0 
[ebuild  N    ]  gnome-extra/evolution-data-server-1.2.3 
[ebuild  N    ]   www-client/mozilla-1.7.12-r2


Since it never did this before, either the actual dependencies of either net-im/gaim or gnome-extra/evolution-data-server changed, or there is an error in the dependancies called out in one of the ebuilds...

Does anyone know which it is? If its a ebuild error, I want to submit a bug report, but I don't know how to find that out...

I should also add that I am a huge KDE fan, and as such have the use flag -gnome set, and despite this the package media-sound/grip insists on emerging all the gnome-base files, instead of just being happy with gtk. This is frustrating to say the least :(

Any ideas?
_________________
----
Athlon 64 3000+ / 1Gb Kingston Hyperx PC3500 / MSI K8N Neo / Geforce 6800GT
----
Back to top
View user's profile Send private message
UncleOwen
Veteran
Veteran


Joined: 27 Feb 2003
Posts: 1493
Location: Germany, Hamburg

PostPosted: Wed Oct 05, 2005 2:09 pm    Post subject: Reply with quote

You know about emerge -v? That way, you would have seen that gaim has a 'eds' use flag, which stands for 'evolution data server' :)
Back to top
View user's profile Send private message
Zarathustra[H]
Guru
Guru


Joined: 30 Dec 2002
Posts: 389
Location: Cambridge, MA, USA

PostPosted: Wed Oct 05, 2005 5:47 pm    Post subject: Reply with quote

UncleOwen wrote:
You know about emerge -v? That way, you would have seen that gaim has a 'eds' use flag, which stands for 'evolution data server' :)


Interesting. But the question is... is that new? I've been using gaim installed from the ebuild since the Gentoo 1.4 betas and never had to have Mozilla installed as a dependency in the past...

Having Mozilla as a dependancy for anything seems kind of silly. It is more of a huge top level package. Why would anyone write code that depends on it? 8O
_________________
----
Athlon 64 3000+ / 1Gb Kingston Hyperx PC3500 / MSI K8N Neo / Geforce 6800GT
----
Back to top
View user's profile Send private message
nxsty
Veteran
Veteran


Joined: 23 Jun 2004
Posts: 1556
Location: .se

PostPosted: Wed Oct 05, 2005 5:52 pm    Post subject: Reply with quote

Check your emerge --info if you have the USE-flags "eds" or "mozilla" set.

Gaim has a eds flag which turns on support for evolution-data-server thus adding it as a depend. And evolution-data-server has a mozilla flag.
Back to top
View user's profile Send private message
nxsty
Veteran
Veteran


Joined: 23 Jun 2004
Posts: 1556
Location: .se

PostPosted: Wed Oct 05, 2005 5:59 pm    Post subject: Reply with quote

nxsty wrote:
Check your emerge --info if you have the USE-flags "eds" or "mozilla" set.

Gaim has a eds flag which turns on support for evolution-data-server thus adding it as a depend. And evolution-data-server has a mozilla flag.


Btw, the eds flag was added to the default profile 2 months ago so that's why it didn't pull in mozilla and eds as depends before.
Back to top
View user's profile Send private message
Zarathustra[H]
Guru
Guru


Joined: 30 Dec 2002
Posts: 389
Location: Cambridge, MA, USA

PostPosted: Thu Oct 06, 2005 5:54 pm    Post subject: Reply with quote

nxsty wrote:
nxsty wrote:
Check your emerge --info if you have the USE-flags "eds" or "mozilla" set.

Gaim has a eds flag which turns on support for evolution-data-server thus adding it as a depend. And evolution-data-server has a mozilla flag.


Btw, the eds flag was added to the default profile 2 months ago so that's why it didn't pull in mozilla and eds as depends before.


Ahh Nice. That explains it.

I just added -eds to my make .conf, and the problem seems solved :) Thansk for all your help..


Where can I find a list of the use-flags and what ehy mean?

Been banging my head against a wall trying to fibure out what the use flag NLS is...
_________________
----
Athlon 64 3000+ / 1Gb Kingston Hyperx PC3500 / MSI K8N Neo / Geforce 6800GT
----
Back to top
View user's profile Send private message
UncleOwen
Veteran
Veteran


Joined: 27 Feb 2003
Posts: 1493
Location: Germany, Hamburg

PostPosted: Thu Oct 06, 2005 6:00 pm    Post subject: Reply with quote

/usr/portage/use.{,local.}desc
Back to top
View user's profile Send private message
kallamej
Administrator
Administrator


Joined: 27 Jun 2003
Posts: 4920
Location: Gothenburg, Sweden

PostPosted: Thu Oct 06, 2005 6:20 pm    Post subject: Reply with quote

Moved from Portage & Programming to Duplicate Threads in favour of topic 365827.
_________________
Please read our FAQ Forum, it answers many of your questions.
irc: #gentoo-forums on irc.freenode.net
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum